Skip to main content
GET
Get a Knowledge Store

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the Knowledge Store object

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

name
string

The name of the KnowledgeStore

Example:

"mystore"

description
string

The description about what the knowledge store contains

Example:

"mystore description"

language
string

The language code

Example:

"en-US"

status
enum<string>
Available options:
ready,
warning
documents
string[]

The document url or the file name ingested for the knowledge store

referenceId
string<uuid>
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026